%define api 1.3
%define major 0
%define girmajor 1.3
%define libname %mklibname mypaint %{api} %{major}
%define libname_gegl %mklibname mypaint-gegl %{major}
%define girname %mklibname mypaint-gir %{girmajor}
%define girname_gegl %mklibname mypaintgegl-gir %{girmajor}
%define devname %mklibname mypaint -d

Summary:	System libraries based on Mypaint
Name:		libmypaint
Version:	1.3.0
Release:	1
License:	GPLv2+
Group:		System/Libraries
Url:		http://mypaint.org
Source0:	https://github.com/mypaint/libmypaint/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	gomp-devel
BuildRequires:	gegl-devel
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(json-c)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libpng)

%description
System libraries based on Mypaint.

#----------------------------------------------------------------------------

%package i18n
Summary:	Internationalization and locale data for libmypaint
Group:		System/Internationalization
Conflicts:	mypaint < 1.2.1

%description i18n
Internationalization and locale data for libmypaint.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	System libraries based on Mypaint
Group:		System/Libraries

%description -n %{libname}
This is an independent release of libmypaint, the library associated
with Mypaint, as a separate module.

%files -n %{libname}
%doc README.md
%{_libdir}/libmypaint-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libname_gegl}
Summary:	System libraries based on Mypaint
Group:		System/Libraries

%description -n %{libname_gegl}
This is an independent release of libmypaint, the library associated
with Mypaint, as a separate module.

%files -n %{libname_gegl}
%doc README.md
%{_libdir}/libmypaint-gegl.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for MyPaint
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}

%description -n %{girname}
GObject Introspection interface description for MyPaint.

%files -n %{girname}
%{_libdir}/girepository-1.0/MyPaint-%{girmajor}.typelib

#----------------------------------------------------------------------------

%package -n %{girname_gegl}
Summary:	GObject Introspection interface description for MyPaintGegl
Group:		System/Libraries
Requires:	%{libname_gegl} = %{EVRD}

%description -n %{girname_gegl}
GObject Introspection interface description for MyPaintGegl.

%files -n %{girname_gegl}
%{_libdir}/girepository-1.0/MyPaintGegl-%{girmajor}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for libmypaint
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Requires:	%{libname_gegl} = %{EVRD}
Requires:	%{girname} = %{EVRD}
Requires:	%{girname_gegl} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	mypaint-devel < 1.2.1
Obsoletes:	mypaint-devel < 1.2.1

%description -n %{devname}
Development files for libmypaint.

%files -n %{devname}
%{_includedir}/libmypaint-gegl/
%{_includedir}/libmypaint/
%{_libdir}/libmypaint.so
%{_libdir}/libmypaint-gegl.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/MyPaint-%{girmajor}.gir
%{_datadir}/gir-1.0/MyPaintGegl-%{girmajor}.gir

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--enable-gegl \
	--enable-openmp
%make

%install
%makeinstall_std

%find_lang %{name}


%changelog

* Wed Sep 06 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.3.0-1
- (19f8c50) Build requires intltool


